Api key provided on integrations tab in Easyflow platform.
Update customer
Headers
x-api-keystringrequiredx-api-secretstringrequiredApi Secret provided on integrations tab in Easyflow platform.
Path parameters
customerIdstringrequired
Request body
Content typeapplication/jsonobject
namestringaddressobjectShow child attributesHide child attributes
zipCodestringstreetstringcomplementstringneighborhoodstringcitystringstatestringThe state must send an abbreviation (Example: sp)
numberstring
deliveryAddressobjectShow child attributesHide child attributes
zipCodestringstreetstringcomplementstringneighborhoodstringcitystringstatestringThe state must send an abbreviation (Example: sp)
numberstring
documentobjectShow child attributesHide child attributes
typestringnumberstring
phoneobjectShow child attributesHide child attributes
areaCodestringdddstringnumberstringisMobileboolean
cascadeUpdatebooleanWhen
true, the updated customer data is also copied to the customer's subscriptions with statusactiveorinactiveand to the customer's charges with statusdraft,opened,active,inactiveordelayed. Any other value is treated asfalse.
Responses
200Returns whether the customer was updated and, when cascadeUpdate is true, how many subscriptions and charges received the new data.
Returns whether the customer was updated and, when cascadeUpdate is true, how many subscriptions and charges received the new data.
Content typeapplication/jsonobject
statusCodeintegerdataobjectShow child attributesHide child attributes
updatedbooleancascadeobjectPresent only when
cascadeUpdateistrueand the customer was updated.Show child attributesHide child attributes
subscriptionsintegerNumber of subscriptions that received the new customer data.
billingsintegerNumber of charges that received the new customer data.
400If the provided parameter is invalid, the API will return the following error response:
If the provided parameter is invalid, the API will return the following error response:
Content typeapplication/jsonobject
messagestringInvalid param: []
errorstringBad Request
statusCodeinteger400
errorCodestringCode that identifies the error. Present only on some errors.
401If the request is unauthorized, the API will return the following error response:
If the request is unauthorized, the API will return the following error response:
Content typeapplication/jsonobject
messagestringInvalid field
errorstringUnauthorized
statusCodeinteger401
403If the request is forbidden, the API will return the following error response:
If the request is forbidden, the API will return the following error response:
Content typeapplication/jsonobject
messagestringForbidden resource
errorstringForbidden
statusCodeinteger403
404The customer does not exist or does not belong to your business.
The customer does not exist or does not belong to your business.
Content typeapplication/jsonobject
statusCodeintegerrequiredHTTP status code.
messagestringrequiredExplanation of the error.
errorstringName of the HTTP status, such as
Bad RequestorConflict.errorCodestringCode that identifies the error. Present only on some errors.
500If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.
If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.
Content typeapplication/jsonobject
statusCodeintegerHTTP status code.
messagestringExplanation of the error.